Call pull-image webhook
GET/v2/ stacks/ {stackId}/ webhooks/ pull-image/
v2
GET
container-call-pull-image-webhook-for-service
Calls the pull-image webhook endpoint for a Service using a webhook token.
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/stacks/f0f86186-0a5a-45b2-aa33-502777496347/webhooks/pull-image?token=string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.callPullImageWebhookForService({
"stackId": "f0f86186-0a5a-45b2-aa33-502777496347",
"queryParameters": {
"token": "string"
}
});
assertStatus(response, 204);
use \Mittwald\ApiClient\Generated\V2\Clients\Container\CallPullImageWebhookForService\CallPullImageWebhookForServiceRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new CallPullImageWebhookForServiceRequest(
stackId: "f0f86186-0a5a-45b2-aa33-502777496347"
))
->withToken("string");
$response = $client->container()->callPullImageWebhookForService($request);
var_dump($response->getBody();